Package icyllis.modernui.markdown

# Class MarkdownVisitor

java.lang.Object
icyllis.modernui.markdown.MarkdownVisitor

All Implemented Interfaces:
  `com.vladsch.flexmark.util.ast.NodeVisitHandler`, `com.vladsch.flexmark.util.ast.Visitor<com.vladsch.flexmark.util.ast.Node>`, `com.vladsch.flexmark.util.visitor.AstAction<com.vladsch.flexmark.util.ast.Node>`

public final class MarkdownVisitor extends Object implements com.vladsch.flexmark.util.ast.NodeVisitHandler
Configurable node visitor handler which does not know anything about node subclasses while allowing easy configuration of custom visitor for nodes of interest to visit.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Editable`
  `append(char c)`
  `Editable`
  `append(CharSequence text)`
  `void`
  `blockEnd(com.vladsch.flexmark.util.ast.Node node)`
  `void`
  `blockStart(com.vladsch.flexmark.util.ast.Node node)`
  `SpannableStringBuilder`
  `builder()`
  `void`
  `ensureNewLine()`
  `void`
  `forceNewLine()`
  `DataSet`
  `getRenderArguments()`
  `boolean`
  `hasNext(com.vladsch.flexmark.util.ast.Node node)`
  Executes a check if there is further content available.
  `int`
  `length()`
  `void`
  `postSetSpans(Object spans, int offset)`
  `<N extends com.vladsch.flexmark.util.ast.Node>
  Object`
  `preSetSpans(N node, int offset)`
  `void`
  `visit(com.vladsch.flexmark.util.ast.Node node)`
  `void`
  `visitChildren(com.vladsch.flexmark.util.ast.Node parent)`
  `void`
  `visitNodeOnly(com.vladsch.flexmark.util.ast.Node node)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### visit

    public void visit(@NonNull com.vladsch.flexmark.util.ast.Node node)
    Specified by:
      `visit` in interface `com.vladsch.flexmark.util.ast.Visitor<com.vladsch.flexmark.util.ast.Node>`

  - ### visitNodeOnly

    public void visitNodeOnly(@NonNull com.vladsch.flexmark.util.ast.Node node)
    Specified by:
      `visitNodeOnly` in interface `com.vladsch.flexmark.util.ast.NodeVisitHandler`

  - ### visitChildren

    public void visitChildren(@NonNull com.vladsch.flexmark.util.ast.Node parent)
    Specified by:
      `visitChildren` in interface `com.vladsch.flexmark.util.ast.NodeVisitHandler`

  - ### builder

    public SpannableStringBuilder builder()

  - ### getRenderArguments

    public DataSet getRenderArguments()

  - ### append

    public Editable append(char c)

  - ### append

    public Editable append(CharSequence text)

  - ### length

    public int length()

  - ### hasNext

    public boolean hasNext(@NonNull com.vladsch.flexmark.util.ast.Node node)
    Executes a check if there is further content available.
    Parameters:
      `node` - to check
    Returns:
      boolean indicating if there are more nodes after supplied one

  - ### ensureNewLine

    public void ensureNewLine()

  - ### forceNewLine

    public void forceNewLine()

  - ### blockStart

    public void blockStart(@NonNull com.vladsch.flexmark.util.ast.Node node)

  - ### blockEnd

    public void blockEnd(@NonNull com.vladsch.flexmark.util.ast.Node node)

  - ### preSetSpans

    @Nullable public <N extends com.vladsch.flexmark.util.ast.Node> Object preSetSpans(@NonNull N node, int offset)

  - ### postSetSpans

    public void postSetSpans(@Nullable Object spans, int offset)